% Pindyckmff
function out=Pindyckmff(flag,s,x,alpha,r,delta,sigma1,sigma2,beta,E0,k)
n=size(s,1);
switch flag
case 'f'
  out=-s(:,1).*s(:,2).^2;
case {'g','mu'}
  out=[alpha*s(:,1)  (beta*E0)-delta*s(:,2)] ;
case 'sigma'
  out=zeros(size(s,1),2,2);
  out(:,1,1)=sigma1.*s(:,1);
  out(:,2,2)=sigma2*ones(n,1); 
case 'rho'
  out=r+zeros(size(s,1),1);  
case 'C'
  out=s(:,1).*(s(:,2).^2+sigma2^2/(r-alpha))/(r+2*delta-alpha)+k*E0;
otherwise
  error('invalid flag')
end